From 72fb57b96cab6b936ebe7fdcdc6c00198e58b91c Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Fri, 26 May 2017 09:56:56 +0300
Subject: [PATCH 2/5] stubs: GitRepository: rename get_head_commits() to
 get_commits()

So that in the future it's possible to use multiple branches easily.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2017, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 stubs/cmdtests/git.script | 4 ++--
 stubs/cmdtests/stg.script | 2 +-
 stubs/git                 | 4 ++--
 stubs/stg                 | 2 +-
 stubs/stubslib.py         | 5 ++---
 unittests/test_git.py     | 4 ++--
 6 files changed, 10 insertions(+), 11 deletions(-)

diff --git a/stubs/cmdtests/git.script b/stubs/cmdtests/git.script
index c2015b8b2afe..6c4598793b5c 100755
--- a/stubs/cmdtests/git.script
+++ b/stubs/cmdtests/git.script
@@ -95,7 +95,7 @@ def main():
 
       # verify patch
       gitrepo = stubslib.GitRepository.load(gitdir)
-      if buf != gitrepo.get_head_commits()[0].mbox:
+      if buf != gitrepo.get_commits()[0].mbox:
             print 'test-1.patch not correct'
             sys.exit(2)
 
@@ -107,7 +107,7 @@ def main():
 
       # verify patch
       gitrepo = stubslib.GitRepository.load(gitdir)
-      if buf != gitrepo.get_head_commits()[-1].mbox:
+      if buf != gitrepo.get_commits()[-1].mbox:
             print 'test-2.patch not correct'
             sys.exit(2)
 
diff --git a/stubs/cmdtests/stg.script b/stubs/cmdtests/stg.script
index e52788dff424..f4a20f5ca698 100755
--- a/stubs/cmdtests/stg.script
+++ b/stubs/cmdtests/stg.script
@@ -80,7 +80,7 @@ def main():
 
       print 'check patch was correctly imported'
       gitrepo = stubslib.GitRepository.load(gitdir)
-      print gitrepo.get_head_commits()[-1].get_subject()
+      print gitrepo.get_commits()[-1].get_subject()
       print
 
       print 'import a second patch'
diff --git a/stubs/git b/stubs/git
index a9b865c71901..11d8e34a4364 100755
--- a/stubs/git
+++ b/stubs/git
@@ -97,7 +97,7 @@ def cmd_config(args):
 def cmd_log(args):
       # FIXME: only support --oneline and --max-count for now
 
-      commits = gitrepo.get_head_commits()
+      commits = gitrepo.get_commits()
 
       if len(args.max_count) > 0:
             max_count = int(args.max_count[0])
@@ -115,7 +115,7 @@ def cmd_show(args):
             print 'Unsupported commit id: %s' % (args.commitid)
             return
 
-      print 'commit %s' % (gitrepo.get_head_commits()[-1].id)
+      print 'commit %s' % (gitrepo.get_commits()[-1].id)
 
 def cmd_cherry_pick(args):
       try:
diff --git a/stubs/stg b/stubs/stg
index 557fe159fb64..d6396e6553c3 100755
--- a/stubs/stg
+++ b/stubs/stg
@@ -105,7 +105,7 @@ def cmd_show(args):
       if args.patchname:
             commit = gitrepo.stg_patches[args.patchname]
       else:
-            commit = gitrepo.get_head_commits()[-1]
+            commit = gitrepo.get_commits()[-1]
 
       print 'commit %s' % (commit.id)
       print 'Author: %s' % (commit.author)
diff --git a/stubs/stubslib.py b/stubs/stubslib.py
index c35b4c508547..fdbd695aa54b 100644
--- a/stubs/stubslib.py
+++ b/stubs/stubslib.py
@@ -109,9 +109,8 @@ class GitRepository():
         pickle.dump(self, f)
         f.close()
 
-    # FIXME: rename get_commits(self, branch='master')
-    def get_head_commits(self):
-        return self.branches[self.head]
+    def get_commits(self, branch='master'):
+        return self.branches[branch]
 
     def get_branches(self):
         # strip newline from all lines
diff --git a/unittests/test_git.py b/unittests/test_git.py
index 03a89dd097c8..1cccc092ad53 100644
--- a/unittests/test_git.py
+++ b/unittests/test_git.py
@@ -91,7 +91,7 @@ foo body
         git.am(mbox)
 
         gitrepo = stubslib.GitRepository.load(self.datadir)
-        self.assertEquals(gitrepo.get_head_commits()[0].mbox, mbox)
+        self.assertEquals(gitrepo.get_commits()[0].mbox, mbox)
 
     def test_am_dry_run(self):
         mbox = 'dummy mbox file'
@@ -99,7 +99,7 @@ foo body
         git.am(mbox)
 
         gitrepo = stubslib.GitRepository.load(self.datadir)
-        self.assertEquals(len(gitrepo.get_head_commits()), 0)
+        self.assertEquals(len(gitrepo.get_commits()), 0)
 
 if __name__ == '__main__':
     unittest.main()
-- 
2.7.4

